Bug 1576748 - [RFE] Support restore onto a new Satellite Server
Summary: [RFE] Support restore onto a new Satellite Server
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Backup & Restore
Version: Unspecified
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified vote
Target Milestone: Unspecified
Assignee: Christine Fouant
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-10 10:29 UTC by Stephen Wadeley
Modified: 2019-08-12 14:02 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-16 15:52:12 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Stephen Wadeley 2018-05-10 10:29:51 UTC
Description of problem:


Some users would like to restore from a backup of an old install of Satellite Server onto a freshly installed Satellite Server, not just a Red Hat Enterprise Linux Server.


Actual results:

Postgres fail while restoring


Expected results:

No Postgres fail while restoring

Additional info:

https://access.redhat.com/discussions/3401451
Bug 1564435 - Postgres fail while restoring 


Thank you

Comment 3 Stephen Wadeley 2018-11-16 15:52:12 UTC
Hello

This bug was incorrectly titled: The supported procedure was and is restoring onto a new install of Satellite, not just a RHEL server. But no additonal configuration should be made. The guide was made a bit more explicit on this point[1]

If you follow the procedures in the guides for making back ups and restoring from those backs, we believe they work.

Where you want to move a move a Satellite from one server to another, you should use the Satellite clone procedures[2]. The case in comment 0 appears to fit that use case for clone, not the use case of the restore script.


Thank you



[1] https://bugzilla.redhat.com/show_bug.cgi?id=1564435#c23
[2] https://access.redhat.com/documentation/en-us/red_hat_satellite/6.4/html/upgrading_and_updating_red_hat_satellite/cloning_satellite_server


Note You need to log in before you can comment on or make changes to this bug.